//
//  StarfieldView.h
//  CoreAnimationStarfield
//
//  Created by Patrick Geiller on 28/03/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <QuartzCore/QuartzCore.h>


@interface StarfieldView : NSView {

	CALayer*	starfieldLayer;
	
	BOOL		draggedDuringThisClick;
	CGPoint		dragStart;
	
	float		angleX, angleY;
	float		deltaX, deltaY;
}

- (void)buildStars;
- (void)addBloom;
- (void)orientWithX:(float)x andY:(float)y;
- (void)spinLayer:(CATextLayer*)textLayer;


- (IBAction)toggleBloom:(id)sender;
- (IBAction)resetOrientation:(id)sender;
- (IBAction)resetClickedLayers:(id)sender;


@end
